int main(void)
{
    /* Builtin functions */
    double exp(double);

    /* Local variables */
    extern int de50d_c(int *, double *, double *, double *, double *,
                       double *, double *, double *, double *, int *,
                       double *, int *, double *, double *, int *);
    static int imax, ierr;
    static double f[200], g[200], h__;
    static int i__, n;
    static double r__[200], x, y[200], delty[200], ck[3], cn[3];
    static int ik;
    static double xk, xn;
    static int nx;
    static double yr[200], yx[200], rab[1600], eps;
    int i__1;
    double d__1, d__2;

    xn = -1.;
    xk = 1.;
    nx = 200;
    cn[0] = 1.;
    cn[1] = -2.;
    cn[2] = 0.;
    ck[0] = 1.;
    ck[1] = 2.;
    ck[2] = 0.;
    imax = 4;
    eps = 1e-5;
    n = nx - 1;
    h__ = (xk - xn) / (double) n;
    x = xn - h__;
    i__1 = nx;
    for (i__ = 1; i__ <= i__1; ++i__) {
        x += h__;
/* Computing 2nd power */
        d__1 = x;
        f[i__ - 1] = d__1 * d__1;
        g[i__ - 1] = x;
/* Computing 2nd power */
        d__1 = x;
/* Computing 2nd power */
        d__2 = x;
        r__[i__ - 1] = exp(-(d__1 * d__1)) * 10. * (d__2 * d__2 * 2. - 1.) *
                       (2. - x);
/* L1: */
    }
    de50d_c(&nx, &xn, &xk, cn, ck, f, g, r__, &eps, &imax, yx, &ik, delty,
            rab, &ierr);

    printf("\n %5i \n", ik);
    x = xn - h__;
    i__1 = nx;
    for (i__ = 1; i__ <= i__1; ++i__) {
        x += h__;
/* Computing 2nd power */
        d__1 = x;
        y[i__ - 1] = exp(-(d__1 * d__1)) * 10.;
        yr[i__ - 1] = yx[i__ - 1] - y[i__ - 1];

        printf("\n %24.14e %24.14e ", x, yx[i__-1]);
        printf("\n   %24.14e %24.14e \n", y[i__-1], yr[i__-1]);
    }
/* L2: */
    return 0;
} /* main */
